petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCRegisterAll

Registers all of the preconditioners in the PC package.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCRegisterAll(void)

Not Collective

### Input Parameter

path -the library where the routines are to be found (optional)

### See Also

PCRegister(), PCRegisterDestroy()

### Level

advanced

### Location

src/ksp/pc/interface/pcregis.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages